package com.yxcheng.token.common.exception;


import com.yxcheng.token.common.enumutil.AcceptErrorEnum;


/**
 * 自定义业务异常-通用系统异常，表示所有未知原因引起的系统异常
 * 
 * @author wuyuegang
 * 
 */
public class AcceptException extends MyBaseException
{
    /**
     * auto generate
     */
    private static final long serialVersionUID = 8912473097017237022L;

    /**
     * construct
     *
     * @param errorCode
     * @param errorMsg
     */
    public AcceptException(String errorCode, String errorMsg)
    {
        super(errorCode, errorMsg);
    }

    public AcceptException(AcceptErrorEnum error)
    {
    	 super(error.getCode(), error.getMsg());
    }
}
